#!/bin/awk -f
## Shift time-stamps by specified offset
## 
## Parameter: dt - time offset in seconds
##
## Description: replace time stamps in the mass-file (and stm-file obligatory!)
## with those shifted by dt. This is normally needed when the Turbina time
## was wrong (say, by +/- 3600 sec) during observations causing the wrong
## values of the airmass and incorrect results referencing.
##
## Note: start with dt=0 or without parameters makes output identical to input 
##
## Use as: param.awk [<]<mass-or-stm-file> dt=val >result-file
BEGIN{
	dt = 0
}

NR==1 {
	if (dt!=0) print "## ==== DTIME CORRECT: by "dt" sec"
}

substr($1,1,1)!="#" && dt!=0 {
	day = gensub("-"," ","G",$2)
	ut = gensub(":"," ","G",$3)
	daytime = day" "ut
	t = mktime(daytime) + dt
	$2 = strftime("%Y-%m-%d",t);
	$3 = strftime("%H:%M:%S",t);
	if ($1=="I" || $1=="J") {
		day2 = gensub("-"," ","G",$(NF-1))
		ut2 = gensub(":"," ","G",$(NF))
		daytime2 = day2" "ut2
		t = mktime(daytime2) + dt
		$(NF-1) = strftime("%Y-%m-%d",t);
		$(NF) = strftime("%H:%M:%S",t);
	}
}

!($1=="##" && $0~/DTIME/) { print }
