#include <math.h>
#include <string.h>
#include "auxiliary.h"
#include "tools.h"
#include "names.h"
#include "exchange.h"

Auxiliary::Auxiliary(void) {
	jdebug("Auxiliary::Auxiliary");
#ifndef __COUNTER_BUTTON__
	_name = "Auxiliary";
	_identName = "Auxiliary";
	_identSection = "Common";
#endif
	jdebug("end of Auxiliary's constructor");
	resetVariables();
}

Auxiliary::~Auxiliary() {
}

void Auxiliary::resetVariables(void) {
	jdebug("Auxiliary::resetVariables");
	Light::resetVariables();
	Power::resetVariables();
	jdebug("end of Auxiliary's resetVariables");
}

int Auxiliary::loadConst(void) {
	jdebug("Auxiliary: LoadConst");
#ifdef __COUNTER_BUTTON__
	int ret1 = Light::loadConst();
	int ret2 = Power::loadConst();
#else
	if(HardModule::loadOwnConst() == FAIL) return FAIL;
	int ret1 = Light::loadOwnConst();
	int ret2 = Power::loadOwnConst();
#endif
	jdebug("end of Auxiliary's loadConst");
	if( (ret1==FAIL) || (ret2==FAIL)) return FAIL;
	return SUCCESS;
}

#ifdef __COUNTER_BUTTON__
int Auxiliary::reset(int dialog) {
	int ret1 = Light::reset(dialog);
	int ret2 = Power::reset(dialog);
	return (ret1 && ret2);
}

int Auxiliary::getConst(int dialog) {
	int ret1 = Light::getConst(dialog);
	int ret2 = Power::getConst(dialog);
	return (ret1 && ret2);
}

int Auxiliary::testIdent(int dialog) {
	int ret1 = Light::testIdent(dialog);
	int ret2 = Power::testIdent(dialog);
	return (ret1 && ret2);
}

int Auxiliary::testCRC(int dialog) {
	int ret1 = Light::testCRC(dialog);
	int ret2 = Power::testCRC(dialog);
	return (ret1 && ret2);
}

#else

int Auxiliary::isMirrorOnAxis(int dialog) {
	uchar status;
	const bool saveToLog = false;
	if(getStatus(status,dialog,saveToLog) != SUCCESS) return UNDEFINED;
	if(status & MIRROR) return YES;
	return NO;
//	if(status & MIRROR) return NO;		// Temporary !!!
//	return YES;
}

#endif
