/*--------------------------------------------------------------------------*/
/** @file auxiliary.h
@brief  Implementation of interaction (command calls and replies from modules, 
their current data and status keeping, etc.) with buttons and control/illumination
LEDs module.

                  MASS project: TURBINA module file
                       header file for auxiliary.cpp



 @author O. Voziakova, Sternberg Institute (ovoz@sai.msu.ru)
 
 @version 1.1
*/
#ifndef AUXILIARY_H
#define AUXILIARY_H

#include "power.h"
#include "light.h"

#ifndef __COUNTER_BUTTON__
// New status:
	#define MIRROR		0x80
#endif

class Auxiliary : public Light, public Power {

public:
	Auxiliary(void);
	virtual ~Auxiliary();

	virtual void resetVariables(void);
	virtual int loadConst(void);
#ifdef __COUNTER_BUTTON__
	bool isReady(void) { return (Power::isReady() && Light::isReady()); }
	int reset(int dialog=1);
	int getConst(int dialog);
	int testIdent(int dialog);
	int testCRC(int dialog);
#else
	int isMirrorOnAxis(int dialog);
#endif
};

#endif
