/*--------------------------------------------------------------------------*/
/** @file messages.h
@brief  GUI-output of the software messages to the screen.

                  MASS project: TURBINA module file
                       header file for messages.cpp



 @author O. Voziakova, Sternberg Institute (ovoz@sai.msu.ru)
 
 @version 1.0
*/
#ifndef MESSAGES_H
#define MESSAGES_H

#include <qstring.h>

#define WARNING_BUTTON_COLOR    Qt::darkRed
#define WARNING_BACK_COLOR      Qt::darkRed

void	showMessage( const QString& text, int ms );

int     showWarning( const QString& str,
		int nbuttons=2,			// nbuttons = 1, 2 or 3
		const char* ignore="&Ignore",
		const char* retry="&Retry",
		const char* abort="E&xit");

//int	showStrongWarning( const QString& str,
//			const char* ignore="&Ignore",
//			const char* abort="E&xit" );

int	showStrongMessage( const QString& str,
			const char* ok="OK" );

void    showFatalError( const QString& str );

#endif
