#include <string.h>
#include "../include/rsignal.h"

const char* rs_getsignal(int code) {
	switch(code) {
		case	SignalPKL	: return "PKL";
		case	SignalPBO	: return "PBO";
		case	SignalDSC	: return "DSC";
		case	SignalCOL	: return "COL";
		case	SignalEER	: return "EER";
		case	SignalACK	: return "ACK";
		case	SignalNAK	: return "NAK";
		case	SignalNOD	: return "NOD";
		case	SignalACN	: return "ACN";
		case	SignalACY	: return "ACY";
		case	SignalACW	: return "ACW";
		default 			: return "Unknown rs485 signal";
	}
};

const char* rs_getsignaltxt(int code) {
	switch(code) {
		case	SignalPKL	: return "Packet loss detected";
		case	SignalPBO	: return "LPT converter FIFO overflow";
		case	SignalDSC	: return "Module doesn't respond or timeout";
		case	SignalCOL	: return "Transmission error or packets collision";
		case	SignalEER	: return "General exchange error";
		case	SignalACK	: return "Successful data transmission";
		case	SignalNAK	: return "Broken packet was received";
		case	SignalNOD	: return "Required data are not ready";
		case	SignalACN	: return "This command does not exist";
		case	SignalACY	: return "Acknowledgement of existing command";
		case	SignalACW	: return "Command can't be executed right now";
		default				: return strerror(code);
//		default 			: return "Unknown rs485 signal";
	}
};
