/* This module contains the modified version of Numerical Recipe  qromo.c 
   Modified by A. Tokovinin 27-Feb-97: if EPS>0 - absolute tolerance, 
                                       if <0 - relative. 
*/

#include <math.h>

/*   #define EPS 1.0e-4 */
#define JMAX 14
#define JMAXP JMAX+1
#define K 5
double nr::qromo(double (*func)(double), double a, double b,
             double (*choose)(double (*)(double), double, double, int),
             double EPS)
{
	int j;
	double ss,dss,h[JMAXP+1],s[JMAXP+1];
	h[1]=1.0;
	for (j=1;j<=JMAX;j++) {
    	s[j]=(*choose)( func, a, b, j);
		if (j >= K) {
			polint(&h[j-K],&s[j-K],K,0.0,&ss,&dss);
			if (EPS>0) { 
				if (fabs(dss) < EPS) return ss; 
			} else {
				if (fabs(dss) < fabs(EPS)*fabs(ss)) return ss;
			}
		} 
		s[j+1]=s[j];
		h[j+1]=h[j]/9.0;
	}
	nrerror("Too many steps in routing QROMO");
	return ss;
}

/* #undef EPS */
#undef JMAX
#undef JMAXP
#undef K
