#ifndef SVEXCHANGE_H
#define SVEXCHANGE_H

#include <string>

namespace SVexchange {

	enum Command {GET, SET, INIT, PARK, RUN, STOP, QUIT, UNKNOWN_COMMAND};

	enum Param { BKGR, FLUX, SCIND, CENTER, INTEGRAL, LPROFILE, XPROFILE, IDENT, STATUS, DATA, OBJECT, SCEN1, SCEN2, NOW, NOTHING, UNKNOWN_PARAM};

	enum status {READY, PARKED, ERSYN, ERFAT, ERANG, BUSY, NOSTAR, LOCAL };

struct Instruction {
	Command		command;
	Param		param;
	std::string	value;
	int			comid;
};

//	const char* getNewObject(void);
	void setStatus(status stat);
	void setErstatus(status erstatus);
	void setData(const char* data);

	int translate(std::string& what, Instruction& instruct);

	int sendIdent(int comid);
	int sendStatus(int comid);
	int sendData(int comid, const char* mode, const char* result);
	int sendOK(int comid, int waitsec);
	int sendOK(int comid, std::string& result);
	int sendError(int comid);

};

#endif
