/*--------------------------------------------------------------------------*/
/** @file tools.h
@brief  A variety of functions and tools needed for all other modules.

                  MASS project: TURBINA module file
                       header file for tools.cpp



 @author O. Voziakova, Sternberg Institute (ovoz@sai.msu.ru)
 
 @version 1.0
*/
#ifndef TOOLS_H
#define TOOLS_H

//#include <qdatetime.h>
#include "trbtime.h"

void	reportError(const char* name, const char* errText, int dialog,
							int nbuttons=2,		// nbuttons = 1 or 2
							const char* ignore="&Ignore",
							const char* abort="E&xit");
void	wait_ms(int msec);
double	toLogScale(double val);
double	fromLogScale(double logVal);
double	log2(double val);
double	logN(double val1, double val2);

const char*	getStamp(const char * prefix, QDateTime dateTime,
			const char* ext=NULL);
void	jdebug(const char* fmt, ...);

#endif
