/** @file trbconst.h
@brief  Commonly used constants (e.g. MM2CM, SEC_IN_DAY  etc.)

@author O.Voziakova ovoz@sai.msu.ru
@version 1.0
*/

#ifndef TRBCONST_H
#define TRBCONST_H

#ifdef __COUNTER_BUTTON__
	#define MAX_N_COUNTERS		4
#else
	#define N_BICOUNTERS		2
#endif
#define	N_CHAN					4

#define SEC_IN_DAY		86400.0	// 24 hour
#define SEC_IN_90		324000.0// 90 deg
#define SEC_IN_HOUR		3600.0
#define HOUR_IN_DAY		24

#define MU				(1.0027379093)
#define RAD_IN_TSEC		(0.7272220521664304e-4)
#define RAD_IN_ASEC		(0.484813681109536e-5)
#define RAD_IN_DEG		(0.0174532925)
#define PIM2			(6.28318530717958647712)

#define MIN_CHAR		0
#define MAX_CHAR		255
//#define MIN_SIGN_CHAR			(-127)
//#define	MAX_SIGN_CHAR		127

#define SEC2USEC		1000000L	// sec to usec
#define MS2MKS			1000L	// msec to mksec
#define MKS2MS			(0.001) // mksec to msec
#define MM2CM			(0.1)	// millimeter to cm conversion
#define S2MS			1000	// sec to msec

#define HOUR_DATE_CHANG         12

#endif
