#include "viewstar.h"

JKQListViewItem::JKQListViewItem( int _id_, QListView* parent,
			QString key1,
			QString key2, QString key3,
			QString key4, QString key5,
			QString key6, QString key7,
			QString key8) 
	: QListViewItem( parent, key1,key2,key3,key4,key5,key6,key7,key8 ) {
	id = _id_;
}

JKQListViewItem::~JKQListViewItem() {
}

ViewStarList::ViewStarList( Star* star, QWidget* parent)
					: QListView( parent ) {
	addColumn( "HR" );
	setColumnAlignment( 0,Qt::AlignHCenter );
	addColumn( "Name" );
	setColumnAlignment( 1,Qt::AlignRight );
	addColumn( "HourAngle" );
	setColumnAlignment( 2,Qt::AlignRight );
	addColumn( "Dec2000" );
	setColumnAlignment( 3,Qt::AlignRight );
	addColumn( "AirMass" );
	setColumnAlignment( 4,Qt::AlignHCenter );
//	addColumn( "Zenit" );
//	setColumnAlignment( 5,Qt::AlignRight );
	addColumn( "Vmag" );
	setColumnAlignment( 5,Qt::AlignHCenter );
	addColumn( "Spectrum" );
	setColumnAlignment( 6,Qt::AlignHCenter );
	setSorting( 4 );
	setAllColumnsShowFocus( TRUE );

	update( star );
}

void ViewStarList::update( Star* star ) {
	int i;
	int _nStars = star->getNStars();
	clear();
	_nItems = 0;

	star->updateAll();
	QArray<StarInfo*> starList = star->getStarList();

	items.resize( _nStars );

	QString airmass;
	double am;

	for( i=0; i<_nStars; i++ ) {
		airmass = starList[i]->getAirMass();
		am = airmass.toDouble();
		if( (am < 0) || (am >= 10.0) )  continue;

		items[_nItems] = new JKQListViewItem( i, this,
			starList[i]->getHR(),
			starList[i]->getName(),
			starList[i]->getHA(),
			starList[i]->getDec(),
 			airmass,
//			starList[i]->getZenit(),
			starList[i]->getMagV(),
			starList[i]->getSpectrum() );
		_nItems++;
	}
	setCurrentItem( firstChild() );
}

int ViewStarList::getCurrentStarNumber( void ) {
	JKQListViewItem *item = (JKQListViewItem*)currentItem();
	int starNumber = item->getId();
	return( starNumber );
}

ViewStarList::~ViewStarList() {
// Sam udaliayet...
}
